#include <stdio.h>
#include <stdlib.h>

int main()
{
    double max=0;
    int n;
    scanf("%d", &n);
    long double rez;
    float pn;
    long a[n];
    float p[n];
    for(int i=0;i<n;i++){
        scanf("%ld%f", &a[i], &p[i]);
    }
    for(int i=0;i<n;i++){
        rez = 0;
        pn=p[i];
        for(int j=0;j<n;j++){
             if(pn<=p[j]){
                rez+=a[j]*p[i]/100;
             }
        if(rez>max){
            max = rez;
        }
        }

    }
    printf("%0.4lf", max);
    return 0;
}